BAM(1)

NAME
bam - fast and flexible build system

SYNOPSIS
bam [OPTION]... [VARIABLE=VALUE]... [TARGET]...

DESCRIPTION
Builds applications using the bam build system.

    Execution:

-a  abort on error

-c  clean targets

-d  build targets that is dependent given targets

--dry
    dry run, don't run any jobs

-j  sets the number of threads to use (default: 0, disabled)

-s  bam file to use (default: bam.lua)

    Lua:

-l  print local variables in backtrace

-t  print backtrace when an error occurs

    Output:

-r  build progress report format (default: s) b = progress bar c = use ansi colors s = build steps

-v  be verbose

    Other:

-n  don't use cache

-h, --help
    prints this help

    Debug:

--debug-nodes
    prints all the nodes with dependencies

--debug-detail
    prints all the nodes with dependencies and details

--debug-jobs
    prints all the jobs that exist

--debug-dot
    prints all nodes as a graphviz dot file

--debug-jobs-dot
    prints all jobs as a graphviz dot file

--debug-trace-vm
    prints a line for every instruction the vm makes

--debug-dump-int
    prints the internals scripts to stdout

--debug-no-int
    don't load internal scripts

bam by Magnus Auvinen (magnus.auvinen@gmail.com)